// go:build wireinject
//go:build wireinject
// +build wireinject

package main

import (
	"github.com/exhibition-main/pkg/cache"
	"github.com/exhibition-main/pkg/logger"
	"github.com/exhibition-main/pkg/tracing"
	"github.com/google/wire"
)

func InitApp() (*App, error) {
	wire.Build(logger.Provider, cache.RedisProvider, tracing.Provider, NewApp)
	return &App{}, nil
}
